Re: [macports-ports] 01/02: TeXShop3: mark as obsolete, replaced by TeXShop4

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [macports-ports] 01/02: TeXShop3: mark as obsolete, replaced by TeXShop4

Ryan Schmidt-24

On Apr 15, 2018, at 06:25, Marius Schamschula wrote:

> Marius Schamschula (Schamschula) pushed a commit to branch master
> in repository macports-ports.
>
>
> https://github.com/macports/macports-ports/commit/12a01d50a2872f2d1375bb858c091b847b395591
>
> commit 12a01d50a2872f2d1375bb858c091b847b395591
>
> Author: Marius Schamschula
> AuthorDate: Sun Apr 15 06:24:31 2018 -0500
>
>
>     TeXShop3: mark as obsolete, replaced by TeXShop4

The TeXShop port still mentions that users of newer systems should use the TeXShop3 port instead. I guess that should be changed to recommend the TeXShop4 port now.

I'm surprised that TeXShop4 4.00 works on Mavericks and newer, when TeXShop3 3.99 required Sierra or newer. If they really did re-add compatibility with older systems, that's great.

It's a little weird that you have the TeXShop 2.47 port for Snow Leopard and older, and the TeXShop 4.00 port for Mavericks and newer, and no TeXShop port that works on Lion or Mountain Lion.

Reply | Threaded
Open this post in threaded view
|

Re: [macports-ports] 01/02: TeXShop3: mark as obsolete, replaced by TeXShop4

Ryan Schmidt-24

On Apr 16, 2018, at 05:56, Marius Schamschula wrote:

> On Apr 16, 2018, at 2:42 AM, Ryan Schmidt wrote:
>
>> On Apr 15, 2018, at 06:25, Marius Schamschula wrote:
>>
>>> Marius Schamschula (Schamschula) pushed a commit to branch master
>>> in repository macports-ports.
>>>
>>>
>>> https://github.com/macports/macports-ports/commit/12a01d50a2872f2d1375bb858c091b847b395591
>>>
>>> commit 12a01d50a2872f2d1375bb858c091b847b395591
>>>
>>> Author: Marius Schamschula
>>> AuthorDate: Sun Apr 15 06:24:31 2018 -0500
>>>
>>>
>>>    TeXShop3: mark as obsolete, replaced by TeXShop4
>>
>> The TeXShop port still mentions that users of newer systems should use the TeXShop3 port instead. I guess that should be changed to recommend the TeXShop4 port now.
>
> I’ll fix that.
>
>> I'm surprised that TeXShop4 4.00 works on Mavericks and newer, when TeXShop3 3.99 required Sierra or newer. If they really did re-add compatibility with older systems, that's great.
>
> This is based on the TeXShop web site, not any local tests. They do say that Yosemite or higher is strongly recommended. I guess Mavericks may have some issues.

The web site doesn't appear to mention what OS versions it can *build* on. It just mentions what OS versions it's "for". Previous versions would have run on earlier OS versions, but required a newer SDK to compile, and judging by the fact that TeXShop4 only built on our High Sierra builder, I guess that's still the same. I have been working on adding ports for older SDKs, so maybe then we can fix this situation.


>> It's a little weird that you have the TeXShop 2.47 port for Snow Leopard and older, and the TeXShop 4.00 port for Mavericks and newer, and no TeXShop port that works on Lion or Mountain Lion.
>
> I was considering leaving TeXShop3 for Lion, but that would have meant adding epoch, as the currently supported version for Lion is 3.65.

Right. Or you could combine everything into a single TeXShop port, and offer different TeXShop versions to different OS versions as needed.